# ReflexerSupply

### Description

Supply collateral to a Reflexer safe

### Action ID

`0x1b6b9da7`

### SDK Action

```ts
const reflexerSupplyAction = new dfs.actions.reflexer.ReflexerSupplyAction(
    safeId,
    amount,
    adapterAddr,
    from
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param safeId Id of the safe
    /// @param amount Amount of tokens to supply
    /// @param adapterAddr Adapter address of the reflexer collateral
    /// @param from Address where to pull the collateral from
    struct Params {
        uint256 safeId;
        uint256 amount;
        address adapterAddr;
        address from;
    }
```

### Return Value

```solidity
return bytes32(returnAmount);
```

### Events and Logs

```solidity
emit ActionEvent("ReflexerSupply", logData);
logger.logActionDirectEvent("ReflexerSupply", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/reflexer/reflexersupply-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
